SDL_WindowHasSurface(3)

NAME
SDL_WindowHasSurface - Return whether the window has a surface associated with it.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_WindowHasSurface(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to query.

RETURN VALUE
Returns true if there is a surface associated with the window, or false otherwise.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetWindowSurface(3)